Get network topology by id.
Retrieve network topology details by Universally Unique Identifier (UUID).
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
networkTopologyId
The unique identifier for the network topology
Response
Executed successfully.
clusterId
The id of the cluster.
createdAt
The timestamp for when the network topology was created
id
The unique identifier for the network topology
levels
Ordered array of network topology levels
name
Name of the network topology
tenantId
The id of the tenant.
createdBy
Identifier of the user who created the network topology
groveTopology
The linked Grove topology definition. Null if no Grove topology has been linked to this network topology
nodePools
List of node-pools associated with this network topology
phase
Phase of the network topology in the cluster. Enum: Creating, Ready
source
Identifier of the source of the topology. Useful for tracking where the topology data originated (e.g. control-plane, cluster).
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error